#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

# norootforbuild

%define _client ioUrbanTerrorClientSource
%define _server ioUrbanTerrorServerSource

Name:            urbanterror
Version:         4.1.1
Release:         1.36
Summary:         A team-based tactical shooter based on the Quake 3 Engine
Group:           Amusements/Games/3D/Shoot
License:         GPL
Url:             http://www.urbanterror.info/home/
Source0:         %{name}-client-%{version}.tar.bz2
Source1:         %{name}-server-%{version}.tar.bz2
Source2:         %{name}.sh
Source3:         %{name}-server.sh
Source4:         %{name}.desktop
Source5:         %{name}.png
Patch0:          %{name}_home.patch
Patch1:          default-curl_lib.patch
Patch2:          l_precomp.c.patch
Patch3:          %{name}_serverhome.patch
Patch4:          cmd.c.patch
Patch5:          g_cmds.c.patch
Patch6:          qcommon.h.patch
Patch7:          sv_client.c.patch
Patch8:          sv_main.c.patch
BuildRequires:   libcurl-devel openal-soft-devel libSDL-devel unzip
Requires:        curl
BuildRoot:       %{_tmppath}/%{name}-%{version}-build
AutoReqProv:     on
%description
Urban Terror can be described as a Hollywood tactical shooter; somewhat realism based, but the motto is "fun over realism". This results in a very unique, enjoyable and addictive game. This RPM contains only the engine and not data files. Please download them at http://urbanterror.info/downloads/ and copy the q3ut4 directory into /usr/lib[64]/urbanterror


%prep
%setup -q -n %{_client}
%patch0 -p1

sed -i 's/master.urbanterror.net/master.urbanterror.info/g' code/qcommon/qcommon.h
sed -i 's/-Werror//g' code/tools/asm/Makefile

%patch1 -p1
%patch2 -p1

cd ..
tar jxf %{SOURCE1}
cd %{_server}
pwd
%patch3 -p1
sed -i 's/master.urbanterror.net/master.urbanterror.info/g' code/qcommon/qcommon.h
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch2 -p1


%build
make
cd ../%{_server}
make

%install
install -d %{buildroot}/%{_libdir}/urbanterror

install -Dm755 build/release-linux-*/ioUrbanTerror.*  %{buildroot}/%{_libdir}/urbanterror/ioUrbanTerror
cd ../%{_server}
install -Dm755 build/release-linux-*/ioUrTded.* %{buildroot}/%{_libdir}/urbanterror/ioUrTded

install -Dm644 %{SOURCE4} %{buildroot}%{_datadir}/applications/urbanterror.desktop
install -Dm644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps/urbanterror.png

install -Dm755 %{SOURCE2} %{buildroot}/%{_bindir}/urbanterror
install -Dm755 %{SOURCE3} %{buildroot}/%{_bindir}/urbanterror-server

%post
echo "This RPM Package contains only the binaries compiled for your architecture."
echo "But you need the q3ut4 files/directory. Please download the zip file at http://urbanterror.info/downloads/ and copy"
echo "the q3ut4 directory from the unzipped folder into /usr/lib[64]/urbanterror as root"

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%dir %{_libdir}/urbanterror
%{_bindir}/urbanterror*
%{_libdir}/urbanterror/*
%{_datadir}/pixmaps/urbanterror.png
%{_datadir}/applications/urbanterror.desktop

%changelog
* Wed Feb 29 2012 p.seiler@linuxmail.org
- removed explicit build errors because of this error:
  urbanterror.x86_64: W: explicit-lib-dependency libSDL-1_2-0
  You must let rpm find the library dependencies by itself. Do not put unneeded
  explicit Requires: tags.
* Sun Jan 22 2012 seiler@b1-systems.de
- added patches to get urbanterror build with opensuse
- binary packages are ready
- added description howto download and move game files
* Sun Jan 22 2012 seiler@b1-systems.de
- removed svn files
* Sun Jan 22 2012 seiler@b1-systems.de
- added spec file and patch to project
